Subject: Re: bug#22863: 24.5; (ELPA) adjust-parens: please add autoload cookie

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 29 Jul 2019 15:43:32 +0200

[email-masked] writes:

> I installed the adjust-parens package from ELPA, then added the
> following to my Emacs configuration:
>
>   (dolist (hook '(clojure-mode-hook emacs-lisp-mode-hook lisp-interaction-mode-hook))
>     (add-hook hook 'adjust-parens-mode)))
>
> then restarted Emacs.  On startup, Emacs beeped and showed an empty
> frame,  `C-h e` showed no errors or unexpected messages, startup
> messages were otherwise normal.
>
> I worked around the problem by adding the following to my config:
>
>   (autoload 'adjust-parens-mode "adjust-parens")
>
> Please add an autoload cookie before `(define-minor-mode
> adjust-parens-mode ...)` in adjust-parens.el

Sounds like a good idea.  I've now done so in ELPA and bumped the
version number.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no